import {NgModule} from "@angular/core";
import {BrowserModule} from "@angular/platform-browser";
import {FormsModule} from "@angular/forms";
import {HttpModule} from "@angular/http";
import {AppComponent} from "../components/app.component";
import {DiagnosticService} from "../services/diagnostic.service";
import {AppRoutingModule} from "./app-routing.module";
import {DiagnosticComponent} from "../components/diagnostic.component";
import {D3Service} from "d3-ng2-service";

@NgModule({
    imports: [
        BrowserModule,
        FormsModule,
        HttpModule,
        AppRoutingModule
    ],
    declarations: [
        AppComponent,
        DiagnosticComponent
    ],
    providers: [DiagnosticService, D3Service],
    bootstrap: [AppComponent]
})

export class AppModule {
}